#version 150


uniform vec4 ColorModulator;
out vec4 fragColor;
in vec4 vertexColor; 
vec4 color = vertexColor;


void main() {
    if (color.a < 0.05) { discard; }

    //Tooltip background color
    //if (color.r == 16/255.0 && color.g == 0/255.0 && color.b == 16/255.0 ) 
	//	{ color = vec4(0.0784, 0.0784, 0.0706, 0.95); }

    // Tooltip box border
    //if (color.r >= 0.15686 && color.r <= 0.31373 && color.g == 0 && color.b >= 0.49 && color.b <= 1) 
	//	{ color = vec4(0.7451, 0.6745, 0.5137, 1); }
	
	// Server, world and pack icon hover background color */
	if (color.rgb == vec3(0.5647058823529412) && color.a >= 0.605 && color.a >= 0.606) { 
		color = vec4(0.2588, 0.5922, 0.7569, 0.4); //BLUE TRNSP
	}
	
    fragColor = color * ColorModulator;
}